#include "environ.h"

#include _IOSTREAM_HEADER
#include _VECTOR_HEADER
#include _ALGO_HEADER

#include "randmcon.h"
#include "erndmcon.h"
#include "randfunc.h"

const int  ArraySize = 200;

vector<long> array( ArraySize );

int   main( void )
 {
  int  i;

  for(i=0;i<ArraySize;i++)
    array[i] = (long)i;

  random_shuffle( array.begin(), array.end(),
                 TRNGFuncAdaptorLimit( new TMarsagliaMCRandGen(), ArraySize ) );

  cout << "Output " << ArraySize << " randomly shuffled numbers\n" << endl;

  for(i=0;i<ArraySize;i++)
   {
    cout << array[i] << " ";
    if(0 == (i+1)%10)
      cout << endl;
   }

  return 0;
 }
