
#include <iostream.h>
#include "RingBuff.h"



void   Printit( RingBuffer &ring )
 {
  RingBuffer::iterator   iter;

  for(iter=ring.begin();iter != ring.end();++iter)
    cout << iter.Index() << " : " << *iter << endl;

  return;
 }

int   main( void )
 {
  RingBuffer    ring( 20 );
  unsigned      i;

  cout << "Empty ring buffer.\n" << endl;
  Printit( ring );

  ring.Set( 1 );
  cout << "One item in ring buffer.\n" << endl;
  Printit( ring );

  for(i=1;i < 10;++i)
    ring.Set( i );

  cout << "Half full ring buffer.\n" << endl;
  Printit( ring );

  for(i=10;i < 20;++i)
    ring.Set( i );

  cout << "Exactly full ring buffer.\n" << endl;
  Printit( ring );

  for(i=20;i < 30;++i)
    ring.Set( i );

  cout << "Half again ring buffer.\n" << endl;
  Printit( ring );

  return 0;
 }
