/* ========================================================================
 *                                ERNDLFIB.H
 * ------------------------------------------------------------------------
 *  Instantiations of the LaggedFibonacciRandGen or
 *  LaggedFibonacciModRandGen classes.
 *
 *  Version 0.9
 *
 *  Copyright 1996-1997 by G. Wade Johnson
 *   Use of this code is placed in the public domain as long as the
 *   copyright notice is retained.
 */

#if !defined( ERNDLFIB_H )
  #define ERNDLFIB_H

  #if !defined( RNDLFIBM_H )
    #include "rndlfibm.h"
  #endif

/* =========================================================================
 *  Random number generator attributed to
 */
  class  MitchellMooreRandGen : public LaggedFibonacciModRandGen
   {
  public:
    EXPLICIT MitchellMooreRandGen( unsigned long mod, RandomGenerator *pRng ) :
      LaggedFibonacciModRandGen( 24, 55, mod, pRng )
      { }
   } ;
   

#endif
