

#include "environ.h"

#include _IOSTREAM_HEADER
#include _FSTREAM_HEADER

#include "randlcon.h"


int   main( void )
 {
  ofstream  out( "numrand.rn" );
  StdCRandGen  RNG( 12UL );

  out << "Table of Random numbers generated using the RNG described" << endl;
  out << "in the ANSI C Standard\n" << endl;
  out << "Begin Table" << endl;

  for(int i=0;i < 3000;i++)
   {
    out << RNG.Number() << '\n';
   }

  out << flush;

  return 0;
 }
