/* =========================================================================
 *                                RandQuad.CPP
 * -------------------------------------------------------------------------
 *  Implementation file for Quadratic Congruential Random Number Generator
 *  as an object.
 *
 *  Version 0.9
 *
 *  Copyright 1996-1997 by G. Wade Johnson
 *   Use of this code is placed in the public domain as long as the
 *   copyright notice is retained.
 */

#include "environ.h"
#include "randquad.h"


size_rand   QuadConRandGen::Number( void )
 {
  size_rand  RandNum = QuadMultiplier() * CurrSeed() * CurrSeed()
                     + LinMultiplier()  * CurrSeed()
                     + Increment();
  SetCurrSeed( RandNum );

  return RandNum;
 }
